Node
Date: 2019-10-22

org.jmol.util

## Interface Node

- All Superinterfaces:
    SimpleNode
  All Known Implementing Classes:
    Atom, SmilesAtom

      public interface Node
      extends SimpleNode

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javajs.util.BS` | `findAtomsLike(java.lang.String substring)`
    `int` | `getAtomicAndIsotopeNumber()`
    `java.lang.String` | `getAtomName()`
    `int` | `getAtomNumber()`
    `int` | `getAtomSite()`
    `java.lang.String` | `getAtomType()`
    `char` | `getBioSmilesType()`
    `java.lang.String` | `getBioStructureTypeName()`
    `int` | `getBondedAtomIndex(int j)`
    `int` | `getChainID()`
    `java.lang.String` | `getChainIDStr()`
    `java.lang.String` | `getCIPChirality(boolean doCalculate)`
    `int` | `getCIPChiralityCode()`
    `int` | `getCovalentBondCount()` Get the total number of covalent bonds, thus not including hydrogen bonds.
    `int` | `getCovalentBondCountPlusMissingH()` includes actual + missing
    `int` | `getCovalentHydrogenCount()`
    `boolean` | `getCrossLinkVector(javajs.util.Lst<java.lang.Integer> vReturn, boolean crosslinkCovalent, boolean crosslinkHBond)`
    `Edge[]` | `getEdges()` Get the bond array, including hydrogen bonds.
    `int` | `getElementNumber()`
    `float` | `getFloatProperty(java.lang.String property)`
    `int` | `getFormalCharge()`
    `java.lang.String` | `getGroup1(char c0)`
    `java.lang.String` | `getGroup3(boolean allowNull)`
    `void` | `getGroupBits(javajs.util.BS bs)`
    `int` | `getImplicitHydrogenCount()` can be > 0 for PDB model with no H atoms or for SMILES string CCC
    `int` | `getIndex()`
    `char` | `getInsertionCode()`
    `int` | `getIsotopeNumber()`
    `float` | `getMass()`
    `int` | `getModelIndex()`
    `int` | `getMoleculeNumber(boolean inModel)`
    `int` | `getOffsetResidueAtom(java.lang.String name, int offset)`
    `int` | `getResno()`
    `int` | `getTotalHydrogenCount()`
    `int` | `getTotalValence()`
    `int` | `getValence()`
    `javajs.util.P3` | `getXYZ()`
    `boolean` | `isCrossLinked(Node node)`
    `boolean` | `isDeleted()`
    `boolean` | `isLeadAtom()`
    `boolean` | `isPurine()`
    `boolean` | `isPyrimidine()`
    `boolean` | `modelIsRawPDB()`
    `void` | `set(float x, float y, float z)`
    `void` | `setCIPChirality(int c)`

    - ### Methods inherited from interface org.jmol.util.SimpleNode

      `getBondCount`

- - ### Method Detail

    - #### getAtomicAndIsotopeNumber

          int getAtomicAndIsotopeNumber()

    - #### getAtomName

          java.lang.String getAtomName()

      Specified by:
        `getAtomName` in interface `SimpleNode`

    - #### getAtomSite

          int getAtomSite()

    - #### getBondedAtomIndex

          int getBondedAtomIndex(int j)

    - #### getCovalentBondCount

          int getCovalentBondCount()

      Description copied from interface: `SimpleNode`
      Get the total number of covalent bonds, thus not including hydrogen bonds.
      Specified by:
        `getCovalentBondCount` in interface `SimpleNode`
      Returns:
        number of bonds

    - #### getCovalentHydrogenCount

          int getCovalentHydrogenCount()

    - #### getEdges

          Edge[] getEdges()

      Description copied from interface: `SimpleNode`
      Get the bond array, including hydrogen bonds.
      Specified by:
        `getEdges` in interface `SimpleNode`
      Returns:
        number of bonds

    - #### getElementNumber

          int getElementNumber()

      Specified by:
        `getElementNumber` in interface `SimpleNode`
      Returns:
        the atomic number for this aotm

    - #### getFormalCharge

          int getFormalCharge()

      Specified by:
        `getFormalCharge` in interface `SimpleNode`
      Returns:
        the formal charge for this atom

    - #### getIndex

          int getIndex()

      Specified by:
        `getIndex` in interface `SimpleNode`
      Returns:
        the unique ID number associated with this atom (which in Jmol is its position in the atoms[] array

    - #### getIsotopeNumber

          int getIsotopeNumber()

      Specified by:
        `getIsotopeNumber` in interface `SimpleNode`

    - #### getValence

          int getValence()

      Specified by:
        `getValence` in interface `SimpleNode`
      Returns:
        the sum of the bond orders for this atom

    - #### set

          void set(float x,
                   float y,
                   float z)

    - #### getMoleculeNumber

          int getMoleculeNumber(boolean inModel)

    - #### getMass

          float getMass()

      Specified by:
        `getMass` in interface `SimpleNode`
      Returns:
        the mass or, if specified, the mass number

    - #### getFloatProperty

          float getFloatProperty(java.lang.String property)

      Parameters:
        `property` - "property_xxxx"
      Returns:
        value or Float.NaN

    - #### findAtomsLike

          javajs.util.BS findAtomsLike(java.lang.String substring)

    - #### getAtomType

          java.lang.String getAtomType()

    - #### getModelIndex

          int getModelIndex()

    - #### getAtomNumber

          int getAtomNumber()

    - #### getImplicitHydrogenCount

          int getImplicitHydrogenCount()

      can be > 0 for PDB model with no H atoms or for SMILES string CCC
      Returns:
        number of missing H atoms

    - #### getCovalentBondCountPlusMissingH

          int getCovalentBondCountPlusMissingH()

      includes actual + missing
      Returns:
        actual + missing

    - #### getTotalHydrogenCount

          int getTotalHydrogenCount()

    - #### getTotalValence

          int getTotalValence()

    - #### getCIPChirality

          java.lang.String getCIPChirality(boolean doCalculate)

    - #### getCIPChiralityCode

          int getCIPChiralityCode()

    - #### setCIPChirality

          void setCIPChirality(int c)

      Specified by:
        `setCIPChirality` in interface `SimpleNode`

    - #### getXYZ

          javajs.util.P3 getXYZ()

      Specified by:
        `getXYZ` in interface `SimpleNode`
      Returns:
        the position of this atom

    - #### modelIsRawPDB

          boolean modelIsRawPDB()

    - #### getBioStructureTypeName

          java.lang.String getBioStructureTypeName()

    - #### getGroup1

          java.lang.String getGroup1(char c0)

    - #### getGroup3

          java.lang.String getGroup3(boolean allowNull)

    - #### getResno

          int getResno()

    - #### getInsertionCode

          char getInsertionCode()

    - #### getChainID

          int getChainID()

    - #### getChainIDStr

          java.lang.String getChainIDStr()

    - #### getOffsetResidueAtom

          int getOffsetResidueAtom(java.lang.String name,
                                   int offset)

    - #### getCrossLinkVector

          boolean getCrossLinkVector(javajs.util.Lst<java.lang.Integer> vReturn,
                                     boolean crosslinkCovalent,
                                     boolean crosslinkHBond)

    - #### getGroupBits

          void getGroupBits(javajs.util.BS bs)

    - #### isLeadAtom

          boolean isLeadAtom()

    - #### isCrossLinked

          boolean isCrossLinked(Node node)

    - #### isPurine

          boolean isPurine()

    - #### isPyrimidine

          boolean isPyrimidine()

    - #### isDeleted

          boolean isDeleted()

    - #### getBioSmilesType

          char getBioSmilesType()